## blueprint-compiler 0.18.0

=== meson_options.txt ===
option('docs', type: 'boolean', value: false)

## blueprint-compiler 0~20220302

=== debian/changelog ===
blueprint-compiler (0~20220302-3) unstable; urgency=medium

  * debian/control.in: Drop accidental dependency on gnome-shell

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 31 Mar 2022 06:31:58 -0400

blueprint-compiler (0~20220302-2) unstable; urgency=medium

  * Source-only rebuild

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Mar 2022 15:00:44 -0400

blueprint-compiler (0~20220302-1) unstable; urgency=medium

  * Initial release (Closes: #1007936)

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Tue, 22 Mar 2022 14:00:24 -0600

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: blueprint-compiler
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Heather Ellsworth <heather.ellsworth@canonical.com>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: appstream-util,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               dh-sequence-python3,
               libgtk-4-dev,
               meson (>= 0.52.0),
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/gnome-team/blueprint-compiler.git
Vcs-Browser: https://salsa.debian.org/gnome-team/blueprint-compiler
X-Ubuntu-Use-Langpack: yes
Homepage: https://github.com/mjakeman/blueprint-compiler
Rules-Requires-Root: no

Package: blueprint-compiler
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Markup language for GTK user interface files
 GtkBuilder XML format is quite verbose, and many app developers don't like
 using WYSIWYG editors for creating UIs. Blueprint files are intended to be a
 concise, easy-to-read format that makes it easier to create and edit GTK UIs.
 Internally, it compiles to GtkBuilder XML as part of an app's build system. It
 adds no new features, just makes the features that exist more accessible.
 Another goal is to have excellent developer tooling--including a language
 server--so that less knowledge of the format is required. Hopefully this will
 increase adoption of cool advanced features like GtkExpression.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(\d\S+)\/archive\.tar\.gz/blueprint-compiler-$1\.tar\.gz/g \
  https://gitlab.gnome.org/jwestman/blueprint-compiler/tags?sort=updated_desc .*(\d\S+)/archive\.tar\.gz

## blueprint-compiler 0.4.0

=== debian/changelog ===
blueprint-compiler (0.4.0-4) unstable; urgency=medium

  * Add python3-gi to Depends (Closes: #1022286, #1022291)

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Tue, 01 Nov 2022 14:45:58 +0100

blueprint-compiler (0.4.0-3) unstable; urgency=medium

  * Cherry-pick patch to fix s390x build

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Tue, 18 Oct 2022 14:29:01 -0600

blueprint-compiler (0.4.0-2) unstable; urgency=medium

  * Cherry-pick patch to fix build

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Mon, 17 Oct 2022 11:30:00 -0600

blueprint-compiler (0.4.0-1) unstable; urgency=medium

  [ Heather Ellsworth ]
  * New upstream release
  * Add python3-gi to the Build-Depends and Depends
  * Add debian/salsa-ci.yml file for pipeline

  [ Jeremy Bicha ]
  * debian/control.in: Fix Homepage link (Closes: #1009195)
  * Update debian/gbp.conf & debian/watch for upstream tag format

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Thu, 13 Oct 2022 13:32:38 -0600

## blueprint-compiler 0.6.0

=== debian/changelog ===
blueprint-compiler (0.6.0-1) unstable; urgency=high

  * New upstream release
  * Remove unnecessary patches

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Mon, 09 Jan 2023 21:22:41 +0000

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,18 @@
                dh-sequence-python3,
                libgtk-4-dev,
                meson (>= 0.52.0),
+               python3-gi,
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/gnome-team/blueprint-compiler.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/blueprint-compiler
-X-Ubuntu-Use-Langpack: yes
-Homepage: https://github.com/mjakeman/blueprint-compiler
+Homepage: https://jwestman.pages.gitlab.gnome.org/blueprint-compiler/
 Rules-Requires-Root: no
 
 Package: blueprint-compiler
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         python3-gi,
 Description: Markup language for GTK user interface files
  GtkBuilder XML format is quite verbose, and many app developers don't like
  using WYSIWYG editors for creating UIs. Blueprint files are intended to be a

## blueprint-compiler 0.10.0

=== debian/changelog ===
blueprint-compiler (0.10.0-3) unstable; urgency=medium

  * Add another proposed patch to fix big-endian

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Sep 2023 15:36:38 -0400

blueprint-compiler (0.10.0-2) unstable; urgency=medium

  * Cherry-pick patch to fix using blueprint-compiler on big-endian
    (Closes: #1029614) (LP: #2003893)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Sep 2023 11:34:29 -0400

blueprint-compiler (0.10.0-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * New upstream release
  * Add debian/upstream/metadata

  [ Jeremy Bícha ]
  * debian/rules: Run dh_auto_test with xvfb
  * Build-Depend on gir1.2-adw-1 for build tests
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Aug 2023 07:51:42 -0400

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,18 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Heather Ellsworth <heather.ellsworth@canonical.com>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Heather Ellsworth <heather.ellsworth@canonical.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: appstream-util,
                debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
+               gir1.2-adw-1 <!nocheck>,
                libgtk-4-dev,
                meson (>= 0.52.0),
                python3-gi,
-Standards-Version: 4.6.0
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/gnome-team/blueprint-compiler.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/blueprint-compiler
 Homepage: https://jwestman.pages.gitlab.gnome.org/blueprint-compiler/

## blueprint-compiler 0.12.0

=== debian/changelog ===
blueprint-compiler (0.12.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Stop using dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 14:18:15 -0400

blueprint-compiler (0.10.0-4) unstable; urgency=medium

  * Team upload
  * d/control: Stop generating from d/control.in
  * d/control: Explicitly depend on gir1.2-girepository-2.0.
    This is currently a virtual package provided by gir1.2-glib-2.0, but
    will need to be split out from gir1.2-glib-2.0 before the transition
    to GNOME 46 (GLib 2.79.x) packages, so depend on the canonical name
    representing the library that is actually imported.

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Dec 2023 17:41:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: blueprint-compiler
 Section: gnome
 Priority: optional
@@ -9,7 +5,6 @@
 Uploaders: Heather Ellsworth <heather.ellsworth@canonical.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: appstream-util,
                debhelper-compat (= 13),
-               dh-sequence-gnome,
                dh-sequence-python3,
                gir1.2-adw-1 <!nocheck>,
                libgtk-4-dev,
@@ -27,6 +22,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         gir1.2-girepository-2.0,
          python3-gi,
 Description: Markup language for GTK user interface files
  GtkBuilder XML format is quite verbose, and many app developers don't like

=== debian/watch ===
version=4
https://gitlab.gnome.org/jwestman/@PACKAGE@/-/tags \
	.*/@PACKAGE@-v@ANY_VERSION@@ARCHIVE_EXT@

## blueprint-compiler 0.14.0

=== debian/changelog ===
blueprint-compiler (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 15:06:35 -0400

blueprint-compiler (0.12.0-3) unstable; urgency=medium

  * Cherry-pick commit to fix eartag build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 10:22:17 -0400

blueprint-compiler (0.12.0-2) unstable; urgency=medium

  * Update debian/watch
  * Update Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 15:20:20 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-gi,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/gnome-team/blueprint-compiler.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/blueprint-compiler
 Homepage: https://jwestman.pages.gitlab.gnome.org/blueprint-compiler/

## blueprint-compiler 0.16.0

=== debian/changelog ===
blueprint-compiler (0.16.0-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release
  * Run wrap-and-sort
  * Update Heather's Uploader email address

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Jan 2025 15:21:28 -0500

blueprint-compiler (0.14.0-2) unstable; urgency=medium

  * Cherry-pick 2 patches to fix build with latest gtk4 (Closes: #1084500)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 12 Dec 2024 12:48:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Heather Ellsworth <heather.ellsworth@canonical.com>, Jeremy Bícha <jbicha@ubuntu.com>
-Build-Depends: appstream-util,
-               debhelper-compat (= 13),
+Uploaders: Heather Ellsworth <hellsworth@protonmail.com>,
+           Jeremy Bícha <jbicha@ubuntu.com>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               appstream-util,
                gir1.2-adw-1 <!nocheck>,
                libgtk-4-dev,
                meson (>= 0.52.0),
                python3-gi,
                xauth <!nocheck>,
-               xvfb <!nocheck>,
+               xvfb <!nocheck>
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/gnome-team/blueprint-compiler.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/blueprint-compiler
@@ -20,10 +21,10 @@
 
 Package: blueprint-compiler
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         gir1.2-girepository-2.0,
+Depends: gir1.2-girepository-2.0,
          python3-gi,
+         ${misc:Depends},
+         ${python3:Depends}
 Description: Markup language for GTK user interface files
  GtkBuilder XML format is quite verbose, and many app developers don't like
  using WYSIWYG editors for creating UIs. Blueprint files are intended to be a

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.gnome.org/jwestman/@PACKAGE@/-/tags \
	archive/v?[\d.]+\.?(?:beta|rc)?[\d.]*/@PACKAGE@-v@ANY_VERSION@@ARCHIVE_EXT@

## blueprint-compiler 0.18.0

=== debian/changelog ===
blueprint-compiler (0.18.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:14:15 -0400

blueprint-compiler (0.18.0-1) experimental; urgency=medium

  * New upstream release
  * Update watch file now that this is officially part of the GNOME SDK

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Jul 2025 09:50:19 -0400

blueprint-compiler (0.16.0-3) unstable; urgency=medium

  * Team upload
  * Replace superseded build-dep on appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 10:26:55 +0200

blueprint-compiler (0.16.0-2) unstable; urgency=medium

  * Update Homepage and other URLs for upstream move to official GNOME group

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 25 Apr 2025 18:11:40 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               appstream-util,
+               appstream,
                gir1.2-adw-1 <!nocheck>,
                libgtk-4-dev,
                meson (>= 0.52.0),
@@ -16,7 +16,7 @@
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/gnome-team/blueprint-compiler.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/blueprint-compiler
-Homepage: https://jwestman.pages.gitlab.gnome.org/blueprint-compiler/
+Homepage: https://gnome.pages.gitlab.gnome.org/blueprint-compiler/
 Rules-Requires-Root: no
 
 Package: blueprint-compiler

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_test:
	xvfb-run --auto-servernum dh_auto_test

## blueprint-compiler 0.19.0

=== debian/changelog ===
blueprint-compiler (0.19.0-2) unstable; urgency=medium

  * Bump Standards Version to 4.7.3
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Jan 2026 09:55:44 -0500

blueprint-compiler (0.19.0-1) experimental; urgency=medium

  [ Nathan Pratta Teodosio ]
  * New upstream release

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 28 Jan 2026 12:37:30 +0100

blueprint-compiler (0.18.0-4) unstable; urgency=medium

  * Salsa CI: Remove explicit disabling of reprotest
  * Salsa CI: Disable redundant build jobs because this is Architecture: all
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Dec 2025 20:35:32 -0500

blueprint-compiler (0.18.0-3) unstable; urgency=medium

  * Remove unnecessary Depends: gir1.2-girepository-2.0
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Nov 2025 17:29:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: blueprint-compiler
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Heather Ellsworth <hellsworth@protonmail.com>,
            Jeremy Bícha <jbicha@ubuntu.com>
@@ -13,16 +12,14 @@
                python3-gi,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/gnome-team/blueprint-compiler.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/blueprint-compiler
 Homepage: https://gnome.pages.gitlab.gnome.org/blueprint-compiler/
-Rules-Requires-Root: no
 
 Package: blueprint-compiler
 Architecture: all
-Depends: gir1.2-girepository-2.0,
-         python3-gi,
+Depends: python3-gi,
          ${misc:Depends},
          ${python3:Depends}
 Description: Markup language for GTK user interface files
